## r-cran-pingr 2.0.1

=== DESCRIPTION ===
Package: pingr
Title: Check if a Remote Computer is Up
Version: 2.0.1
Authors@R: person(given = "Gábor", family = "Csárdi", role = c("aut", "cre"),
             email = "csardi.gabor@gmail.com")
Description: Check if a remote computer is up. It can either
    just call the system ping command, or check a specified
    TCP port.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/r-lib/pingr#readme
BugReports: https://github.com/r-lib/pingr/issues
Suggests: covr, testthat
Imports: processx, utils
RoxygenNote: 7.1.0.9000
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2020-06-22 14:44:39 UTC; csard
Author: Gábor Csárdi [aut, cre]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2020-06-22 17:40:03 UTC

=== debian/changelog ===
r-cran-pingr (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration

 -- Nilesh Patra <nilesh@debian.org>  Wed, 28 Apr 2021 23:25:03 +0530

r-cran-pingr (2.0.1-1) unstable; urgency=medium

  * Initial release (closes: #982895)

 -- Eric Brown <eb@ericebrown.com>  Sat, 20 Feb 2021 09:42:02 -0500

=== debian/control ===
Source: r-cran-pingr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Eric Brown <eb@ericebrown.com>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-processx
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pingr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pingr.git
Homepage: https://cran.r-project.org/package=pingr
Rules-Requires-Root: no

Package: r-cran-pingr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Check if a Remote Computer is Up with GNU R
 Check if a remote computer is up. It can either
 just call the system ping command, or check a specified
 TCP port.

## r-cran-pingr 2.0.2

=== DESCRIPTION ===
Package: pingr
Title: Check if a Remote Computer is Up
Version: 2.0.2
Authors@R: person(given = "Gábor", family = "Csárdi", role = c("aut", "cre"),
             email = "csardi.gabor@gmail.com")
Description: Check if a remote computer is up. It can either
    just call the system ping command, or check a specified
    TCP port.
License: MIT + file LICENSE
URL: https://github.com/r-lib/pingr#readme
BugReports: https://github.com/r-lib/pingr/issues
Suggests: covr, testthat
Imports: processx, utils
RoxygenNote: 7.1.0.9000
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2022-10-26 16:43:46 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2022-10-26 17:12:36 UTC

=== debian/changelog ===
r-cran-pingr (2.0.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.0.2
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Bump debhelper compatibility level to 13

 -- Nilesh Patra <nilesh@debian.org>  Sat, 29 Oct 2022 22:51:27 +0530

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-processx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pingr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pingr.git
 Homepage: https://cran.r-project.org/package=pingr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/pingr_([-\d.]*)\.tar\.gz

## r-cran-pingr 2.0.3

=== DESCRIPTION ===
Package: pingr
Title: Check if a Remote Computer is Up
Version: 2.0.3
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Check if a remote computer is up. It can either just call the
    system ping command, or check a specified TCP port.
License: MIT + file LICENSE
URL: https://r-lib.github.io/pingr/, https://github.com/r-lib/pingr
BugReports: https://github.com/r-lib/pingr/issues
Depends: R (>= 3.6)
Imports: processx, utils
Suggests: covr, testthat (>= 3.0.0)
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-12-10 13:42:05 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2023-12-10 14:10:02 UTC

=== debian/changelog ===
r-cran-pingr (2.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:18:49 +0100

=== debian/control ===
Source: r-cran-pingr
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Eric Brown <eb@ericebrown.com>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pingr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pingr.git
Homepage: https://cran.r-project.org/package=pingr
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-processx
Testsuite: autopkgtest-pkg-r

Package: r-cran-pingr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Check if a Remote Computer is Up with GNU R
 Check if a remote computer is up. It can either
 just call the system ping command, or check a specified
 TCP port.

## r-cran-pingr 2.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pingr
 Title: Check if a Remote Computer is Up
-Version: 2.0.3
+Version: 2.0.5
 Authors@R: c(
     person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
     person("Posit Software, PBC", role = c("cph", "fnd"))
@@ -12,15 +12,16 @@
 BugReports: https://github.com/r-lib/pingr/issues
 Depends: R (>= 3.6)
 Imports: processx, utils
-Suggests: covr, testthat (>= 3.0.0)
+Suggests: covr, ps, testthat (>= 3.0.0)
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
 Encoding: UTF-8
 RoxygenNote: 7.2.3
+Biarch: true
 NeedsCompilation: yes
-Packaged: 2023-12-10 13:42:05 UTC; gaborcsardi
+Packaged: 2024-12-12 09:19:43 UTC; gaborcsardi
 Author: Gábor Csárdi [aut, cre],
   Posit Software, PBC [cph, fnd]
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-12-10 14:10:02 UTC
+Date/Publication: 2024-12-12 10:10:02 UTC

=== debian/changelog ===
r-cran-pingr (2.0.5-1) unstable; urgency=medium

  * Replace Eric in Uploaders
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * d/copyright: review thanks to lrc

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jan 2025 16:25:17 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Eric Brown <eb@ericebrown.com>
+Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pingr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pingr.git
 Homepage: https://cran.r-project.org/package=pingr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-ps,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr
